<template>
    <div class="html-wrap" v-html="value"></div>
</template>

<script>
import {queryAppInfoByType} from '@/api/h5/user'

export default {
    data() {
        return {
            showFlag: 0,
            pageNameFlag: 1,
            pageName: '用户协议',
            loading: true,
            value: '',
        }
    },
    methods: {},
    created() {
        document.title = '用户协议'
        console.log('User_Agreement')
        this.$tools.getDictData('appInformationType').then((res) => {
            console.log(res)
            res.forEach((item2) => {
                if (item2.code === 'User_Agreement') {
                    queryAppInfoByType(item2.id).then((res) => {
                        this.value = res.data.content
                        this.loading = false
                    })
                }
            })
        })
    },
}
</script>

<style lang="scss">
html, body {
    width: 100vw;
}
.html-wrap {
    overflow-y: scroll;
    overflow-x: hidden;
    box-sizing: border-box;
    width: 100vw;
    height: 100vh;
    padding: 10px;
    color: #666;
    word-break: break-all;
    white-space: pre-wrap;
    box-sizing: border-box;

    img {
        width: 100%;
    }
}
</style>
